# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nym-sdk"
version = "1.20.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Nym's Rust SDK"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/nymtech/nym/sdk/rust/nym-sdk/"

[features]
libp2p-vanilla = []

[lib]
name = "nym_sdk"
path = "src/lib.rs"

[[bin]]
name = "nym-proxy-client"
path = "src/tcp_proxy/bin/proxy_client.rs"

[[bin]]
name = "nym-proxy-server"
path = "src/tcp_proxy/bin/proxy_server.rs"

[[example]]
name = "bandwidth"
path = "examples/bandwidth.rs"

[[example]]
name = "builder"
path = "examples/builder.rs"

[[example]]
name = "builder_with_storage"
path = "examples/builder_with_storage.rs"

[[example]]
name = "change_gateway"
path = "examples/change_gateway.rs"

[[example]]
name = "client_pool"
path = "examples/client_pool.rs"

[[example]]
name = "control_requests"
path = "examples/control_requests.rs"

[[example]]
name = "custom_topology_provider"
path = "examples/custom_topology_provider.rs"

[[example]]
name = "libp2p_chat"
path = "examples/libp2p_chat/main.rs"

[[example]]
name = "libp2p_ping"
path = "examples/libp2p_ping/main.rs"

[[example]]
name = "manually_handle_storage"
path = "examples/manually_handle_storage.rs"

[[example]]
name = "manually_overwrite_topology"
path = "examples/manually_overwrite_topology.rs"

[[example]]
name = "mixfetch"
path = "examples/mixfetch.rs"

[[example]]
name = "parallel_sending_and_receiving"
path = "examples/parallel_sending_and_receiving.rs"

[[example]]
name = "sandbox"
path = "examples/sandbox.rs"

[[example]]
name = "simple"
path = "examples/simple.rs"

[[example]]
name = "socks5"
path = "examples/socks5.rs"

[[example]]
name = "surb_reply"
path = "examples/surb_reply.rs"

[[example]]
name = "tcp_proxy_multistream"
path = "examples/tcp_proxy_multistream.rs"

[[example]]
name = "tcp_proxy_single_connection"
path = "examples/tcp_proxy_single_connection.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.bincode]
version = "1.3.3"

[dependencies.bip39]
version = "2.0.0"
features = ["zeroize"]

[dependencies.bytecodec]
version = "0.4.15"

[dependencies.bytes]
version = "1.10.1"

[dependencies.clap]
version = "4.5.38"
features = ["derive"]

[dependencies.dashmap]
version = "5.5.3"

[dependencies.dirs]
version = "6.0"

[dependencies.futures]
version = "0.3.31"

[dependencies.http]
version = "1"

[dependencies.httpcodec]
version = "0.2.3"

[dependencies.log]
version = "0.4"

[dependencies.nym-bandwidth-controller]
version = "1.20.4"

[dependencies.nym-bin-common]
version = "1.20.4"
features = ["basic_tracing"]

[dependencies.nym-client-core]
version = "1.20.4"
features = [
    "fs-credentials-storage",
    "fs-surb-storage",
    "fs-gateways-storage",
]
default-features = false

[dependencies.nym-credential-storage]
version = "1.20.4"

[dependencies.nym-credential-utils]
version = "1.20.4"

[dependencies.nym-credentials]
version = "1.20.4"
default-features = false

[dependencies.nym-credentials-interface]
version = "1.20.4"

[dependencies.nym-crypto]
version = "1.20.4"
default-features = false

[dependencies.nym-gateway-requests]
version = "1.20.4"

[dependencies.nym-http-api-client]
version = "1.20.4"

[dependencies.nym-network-defaults]
version = "1.20.4"

[dependencies.nym-ordered-buffer]
version = "1.20.4"

[dependencies.nym-service-providers-common]
version = "1.20.4"

[dependencies.nym-socks5-client-core]
version = "1.20.4"

[dependencies.nym-socks5-requests]
version = "1.20.4"

[dependencies.nym-sphinx]
version = "1.20.4"

[dependencies.nym-sphinx-addressing]
version = "1.20.4"

[dependencies.nym-statistics-common]
version = "1.20.4"

[dependencies.nym-task]
version = "1.20.4"

[dependencies.nym-topology]
version = "1.20.4"

[dependencies.nym-validator-client]
version = "1.20.4"
features = ["http-client"]
default-features = false

[dependencies.rand]
version = "0.8.5"
features = ["small_rng"]

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.tap]
version = "1.0.1"

[dependencies.tempfile]
version = "3.20"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.47"

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tokio-util]
version = "0.7.15"

[dependencies.toml]
version = "0.8.22"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-subscriber]
version = "0.3.20"
features = ["env-filter"]

[dependencies.url]
version = "2.5"

[dependencies.uuid]
version = "1.19.0"
features = [
    "v4",
    "serde",
]

[dependencies.zeroize]
version = "1.7.0"

[dev-dependencies.anyhow]
version = "1.0.98"

[dev-dependencies.dotenvy]
version = "0.15.6"

[dev-dependencies.hex]
version = "0.4.3"

[dev-dependencies.nym-bin-common]
version = "1.20.4"
features = ["basic_tracing"]

[dev-dependencies.parking_lot]
version = "0.12.3"

[dev-dependencies.reqwest]
version = "0.12.15"
features = [
    "json",
    "socks",
]
default-features = false

[dev-dependencies.thiserror]
version = "2.0"

[dev-dependencies.time]
version = "0.3.41"

[dev-dependencies.tokio]
version = "1.47"
features = ["full"]

[dev-dependencies.tokio-stream]
version = "0.1.17"

[dev-dependencies.tokio-util]
version = "0.7.15"
features = ["codec"]
